如何安裝 Xcode ?

學習 21 世紀最棒的程式語言 Swift,開發酷炫的 iOS App,需要搭配 Xcode。請安裝最新版本的 Xcode 9。

下載連結:

下載安裝後,若能順利啟動 Xcode,看到類似以下畫面,即表示安裝成功。

不過彼得潘最近教課時發現有些學生遇上了麻煩,無法安裝 Xcode,難道是他們和 Xcode 今生無緣嗎?

當然不是。此問題一般跟以下三種原因有關: 
1. macOS 版本太舊。 
2. mac 空間不夠。
3. 使用錯誤的解壓縮軟體。

要安裝 Xcode 9 以上的版本, 請記得 macOS 一定要 10.13.2 以上。如果版本小於 10.13.2,點選 App Store 的安裝按鈕將出現以下錯誤。

如果不清楚自己 macOS 版本,可點選螢幕左上角的蘋果圖案後,點選 About This Mac,查詢 macOS 的版本。

有些人無法升級到 10.13.2,系統說他們的軟體版本已經新到不能再新了 (Your software is up to date)。

這是因為 macOS 升級時,預設只會更新小數點第三位。也就是你可以從10.6.1 升級到 10.6.8,但是不能從 10.6.8 升級到 10.7 或 10.11。如果真心想升級小數點第二位,那是比較大的改版,需要另外從 App Store 下載安裝最新的 macOS。

最新版 macOS,10.13 High Sierra 的下載連結如下:

如果版本已經是 10.13,只是不到 10.13.2 的朋友,那就簡單多了。只要從 App Store 的更新項目頁面即可升級。

最後,如果是下載 beta 版的 Xcode,遇到解壓縮的問題,則可參考以下連結: